IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_CANCEL_EVENTO_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_CANCEL_EVENTO_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_CANCEL_EVENTO_PEND ] ON [dbo].[EST_NFE_CANCEL_EVENTO] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_CANCEL_EVENTO_PEND (CD_CTR_CANCEL_EVENTO    , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_CANCEL_EVENTO    , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_CANCEL_EVENTO     
					FROM 
						EST_NFE_CANCEL_EVENTO_PEND pend
					WHERE 
						t.CD_CTR_CANCEL_EVENTO     = pend.CD_CTR_CANCEL_EVENTO    );



